> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wrkout.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Exercise

> Get exercise by ID



## OpenAPI

````yaml GET /exercise/{exerciseId}
openapi: 3.0.1
info:
  title: OpenAPI Wrkout
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.wrkout.xyz
security:
  - ApiKeyAuth: []
paths:
  /exercise/{exerciseId}:
    get:
      tags:
        - exercise
      description: Get exercise by ID
      parameters:
        - name: exerciseId
          in: path
          description: ID or Name of the exercise
          required: true
          schema:
            type: string
        - name: lang
          in: query
          description: >-
            Translation language requested. Please see the list of supported
            languages
          required: false
          schema:
            type: string
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Exercise'
components:
  schemas:
    Exercise:
      required:
        - name
      type: object
      properties:
        id:
          description: The ID of the exercise
          type: string
        name:
          description: The name of the exercise (always in English)
          type: string
        displayName:
          description: The display name of the exercise to present to the user
          type: string
        aliases:
          description: The alternative names of the exercise
          type: array
          items:
            type: string
        category:
          $ref: '#/components/schemas/Category'
          description: The category of the exercise
        primaryMuscle:
          $ref: '#/components/schemas/Muscle'
          description: The primary muscles targeted by the exercise
        secondaryMuscle:
          $ref: '#/components/schemas/Muscle'
          description: The secondary muscles targeted by the exercise
        force:
          $ref: '#/components/schemas/Force'
          description: The force applied by the exercise
        level:
          $ref: '#/components/schemas/Level'
          description: The level of the exercise
        mechanic:
          $ref: '#/components/schemas/Mechanic'
          description: The mechanic of the exercise
        equipment:
          $ref: '#/components/schemas/Equipment'
          description: The equipment required for the exercise
        instructions:
          description: The instructions for the exercise
          type: array
          items:
            type: string
        premiumImages:
          description: >-
            The premium images for the exercise. Only returned based on
            subscription plan
          type: array
          items:
            type: string
        premiumVideos:
          description: >-
            The premium videos for the exercise. Only returned based on
            subscription plan
          type: array
          items:
            type: string
    Category:
      type: string
      enum:
        - STRENGTH
        - STRETCHING
        - PLYOMETRICS
        - STRONGMAN
        - POWERLIFTING
        - CARDIO
        - OLYMPIC_WEIGHTLIFTING
    Muscle:
      type: array
      items:
        type: string
        enum:
          - ABDOMINALS
          - ADDUCTORS
          - BICEPS
          - CHEST
          - CALVES
          - LOWER_BACK
          - TRICEPS
          - FOREARMS
          - ABDUCTORS
          - HAMSTRINGS
          - QUADRICEPS
          - SHOULDERS
          - MIDDLE_BACK
          - GLUTES
          - LATS
          - TRAPS
          - NECK
    Force:
      type: string
      enum:
        - PULL
        - PUSH
        - STATIC
      nullable: true
    Level:
      type: string
      nullable: true
      enum:
        - BEGINNER
        - INTERMEDIATE
        - EXPERT
    Mechanic:
      type: string
      nullable: true
      enum:
        - COMPOUND
        - ISOLATION
    Equipment:
      type: string
      nullable: true
      enum:
        - BODY_ONLY
        - MACHINE
        - OTHER
        - FOAM_ROLL
        - KETTLEBELLS
        - DUMBBELL
        - BARBELL
        - CABLE
        - BANDS
        - MEDICINE_BALL
        - E_Z_CURL_BAR
        - EXERCISE_BALL
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````